- Qt 5.15
- Qt Gamepad
- C++ Classes
- QGamepadManager
- Qt 5.15.18 Reference Documentation

# QGamepadManager Class

Queries attached gamepads and related events. More...

Header: | #include <QGamepadManager>
qmake: | QT += gamepad
Instantiated By: | GamepadManager
Inherits: | QObject

- List of all members, including inherited members

## Public Types

flags | GamepadAxes
flags | GamepadButtons

## Public Functions

const QList<int> | connectedGamepads() const
QString | gamepadName(int deviceId) const
bool | isGamepadConnected(int deviceId) const

## Public Slots

bool | configureAxis(int deviceId, GamepadAxis axis)
bool | configureButton(int deviceId, GamepadButton button)
bool | isConfigurationNeeded(int deviceId) const
void | resetConfiguration(int deviceId)
bool | setCancelConfigureButton(int deviceId, GamepadButton button)
void | setSettingsFile(const QString &file)

## Signals

void | connectedGamepadsChanged()

## Static Public Members

QGamepadManager * | instance()

## Detailed Description

QGamepadManager provides a high-level interface for querying the attached gamepads and events related to all of the connected devices.

## Member Function Documentation

### `[slot]` bool QGamepadManager::configureAxis(int deviceId, GamepadAxis axis)

Configures axis on the gamepad with the specified deviceId. Returns `true` in case of success.

### `[slot]` bool QGamepadManager::configureButton(int deviceId, GamepadButton button)

Configures the specified button on the gamepad with this deviceId. Returns `true` in case of success.

### `[slot]` bool QGamepadManager::isConfigurationNeeded(int deviceId) const

Returns a boolean indicating whether configuration is needed for the specified deviceId.

### `[slot]` void QGamepadManager::resetConfiguration(int deviceId)

Resets the configuration on the gamepad with the specified deviceId.

### `[slot]` bool QGamepadManager::setCancelConfigureButton(int deviceId, GamepadButton button)

Configures button as the cancel button on the gamepad with id deviceId. Returns `true` in case of success.

### `[slot]` void QGamepadManager::setSettingsFile(const QString &file)

Sets the name of the file that stores the button and axis configuration data.

### const QList<int> QGamepadManager::connectedGamepads() const

Returns a list of integers containing the deviceId values of the connected gamepads.

Note: Getter function for property connectedGamepads.

### QString QGamepadManager::gamepadName(int deviceId) const

Returns the name of the gamepad identified by deviceId. If deviceId does not identify a connected gamepad, returns an empty string.

This function was introduced in Qt 5.11.

### `[static]` QGamepadManager *QGamepadManager::instance()

Returns the instance of the QGamepadManager.

### bool QGamepadManager::isGamepadConnected(int deviceId) const

Returns a boolean indicating whether the gamepad with the specified deviceId is connected or not.